Bug 110033 - [CI][SHARDS] igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: CRC mismatch with format YUYV (0x56595559) on [ABC].0
Summary: [CI][SHARDS] igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: ...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: high normal
Assignee: Juha-Pekka Heikkilä
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-13 14:09 UTC by Martin Peres
Modified: 2019-04-09 12:51 UTC (History)
1 user (show)

See Also:
i915 platform: BXT
i915 features: display/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-03-13 14:09:41 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5736/shard-apl6/igt@kms_plane@pixel-format-pipe-c-planes.html

Starting subtest: pixel-format-pipe-C-planes
(kms_plane:3706) WARNING: CRC mismatch with format YUYV (0x56595559) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YUYV (0x56595559) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YUYV (0x56595559) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YUYV (0x56595559) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YUYV (0x56595559) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YUYV (0x56595559) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YUYV (0x56595559) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YVYU (0x55595659) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YVYU (0x55595659) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YVYU (0x55595659) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YVYU (0x55595659) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YVYU (0x55595659) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YVYU (0x55595659) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format YVYU (0x55595659) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format UYVY (0x59565955) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format UYVY (0x59565955) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format UYVY (0x59565955) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format UYVY (0x59565955) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format UYVY (0x59565955) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format UYVY (0x59565955) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format UYVY (0x59565955) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format VYUY (0x59555956) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format VYUY (0x59555956) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format VYUY (0x59555956) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format VYUY (0x59555956) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format VYUY (0x59555956) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format VYUY (0x59555956) on C.0
(kms_plane:3706) WARNING: CRC mismatch with format VYUY (0x59555956) on C.0
(kms_plane:3706) CRITICAL: Test assertion failure function test_pixel_formats, file ../tests/kms_plane.c:587:
(kms_plane:3706) CRITICAL: Failed assertion: result
(kms_plane:3706) CRITICAL: At least one CRC mismatch happened
Subtest pixel-format-pipe-C-planes failed.
Comment 1 CI Bug Log 2019-03-13 14:10:33 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* APL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: CRC mismatch with format YUYV (0x56595559) on [ABC].0
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5736/shard-apl6/igt@kms_plane@pixel-format-pipe-c-planes.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4883/shard-apl8/igt@kms_plane@pixel-format-pipe-b-planes-source-clamping.html
Comment 2 CI Bug Log 2019-03-13 14:21:40 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: CRC mismatch with format YUYV (0x56595559) on [ABC].0 -}
{+ APL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: CRC mismatch with format YUYV (0x56595559) on [ABC].[01] +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4882/shard-apl6/igt@kms_plane@pixel-format-pipe-c-planes-source-clamping.html
Comment 3 Daniel Vetter 2019-03-14 12:47:15 UTC
Note that I'm also seeing this on other yuv formats (e.g. nv12), and it doesn't always start at the first plane.
Comment 4 CI Bug Log 2019-03-15 08:43:33 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: CRC mismatch with format YUYV (0x56595559) on [ABC].[01] -}
{+ APL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].[012] +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4885/shard-apl5/igt@kms_plane@pixel-format-pipe-b-planes.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5746/shard-apl2/igt@kms_plane@pixel-format-pipe-b-planes.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5747/shard-apl2/igt@kms_plane@pixel-format-pipe-b-planes.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5748/shard-apl6/igt@kms_plane@pixel-format-pipe-b-planes.html
* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5749/shard-apl6/igt@kms_plane@pixel-format-pipe-b-planes.html
Comment 5 CI Bug Log 2019-03-19 17:42:47 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].[012] -}
{+ APL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].[012] +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_244/fi-bxt-j4205/igt@kms_plane@pixel-format-pipe-a-planes.html
Comment 6 CI Bug Log 2019-03-19 17:43:39 UTC
A CI Bug Log filter associated to this bug has been updated:

{- APL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].[012] -}
{+ BXT APL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].[012] +}

 No new failures caught with the new filter
Comment 7 CI Bug Log 2019-03-20 11:33:28 UTC
A CI Bug Log filter associated to this bug has been updated:

{- BXT APL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: CRC mismatch with format YUYV(0x56595559) on [ABC].[012] -}
{+ BXT APL: igt@kms_plane@pixel-format-pipe-[abc]-planes* - fail - WARNING: CRC mismatches with format YUYV(0x56595559) on [ABC].[012] with 2/8 solid colors tested (0x88) +}

New failures caught by the filter:

* https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5772/shard-apl4/igt@kms_plane@pixel-format-pipe-c-planes.html
Comment 8 Martin Peres 2019-04-09 12:50:49 UTC
Verified to be fixed by:

commit 76a8f9cf7890969e8f2b4550600c6d3ee6913dd7
Author:     Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
AuthorDate: Fri Mar 15 17:23:34 2019 +0200
Commit:     Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
CommitDate: Wed Mar 20 10:48:20 2019 +0200

    lib/igt_kms: reset plane alpha and blend in igt_plane_reset()
    
    plane alpha and blend would affect other tests if left
    in unexpected states
    
    v2 (ville syrjälä): use "Pre-multiplied" as default for
    IGT_PLANE_PIXEL_BLEND_MODE.
    
    Signed-off-by: Juha-Pekka Heikkila <juhapekka.heikkila@gmail.com>
    Reviewed-by: Ville Syrjälä <ville.syrjala@linux.intel.com>
Comment 9 CI Bug Log 2019-04-09 12:51:50 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.